Gecode::Int::Channel::ValInfo< View > Class Template Reference

Combine view with information for value propagation. More...

`#include <val.hpp>`

## Public Member Functions

void | init (View x, int n)
| Initialize.
void | update (Space &home, ValInfo< View > &vi)
| Update during cloning.
bool | doval (void) const
| Check whether propagation for assignment is to be done.
bool | dodom (void) const
| Check whether propagation for domain is to be done.
void | assigned (void)
| Record that view got assigned.
void | removed (int i)
| Record that one value got removed.
void | done (void)
| Update the cardinality and bounds information after pruning.

## Public Attributes

View | view
| The view.
bool | a
| Whether it has been propagated that view is assigned.

## Detailed Description

template<class View>
class Gecode::Int::Channel::ValInfo< View >

Combine view with information for value propagation.

Definition at line 45 of file val.hpp.

## Member Function Documentation

## init()

template<class View>

void Gecode::Int::Channel::ValInfo< View >::init | ( | View | x,
|  | int | n )

inline

Initialize.

Definition at line 69 of file val.hpp.

## update()

template<class View>

void Gecode::Int::Channel::ValInfo< View >::update | ( | Space & | home,
|  | ValInfo< View > & | vi )

inline

Update during cloning.

Definition at line 75 of file val.hpp.

## doval()

template<class View>

bool Gecode::Int::Channel::ValInfo< View >::doval | ( | void |  | ) | const

inline

Check whether propagation for assignment is to be done.

Definition at line 81 of file val.hpp.

## dodom()

template<class View>

bool Gecode::Int::Channel::ValInfo< View >::dodom | ( | void |  | ) | const

inline

Check whether propagation for domain is to be done.

Definition at line 87 of file val.hpp.

## assigned()

template<class View>

void Gecode::Int::Channel::ValInfo< View >::assigned | ( | void |  | ) |

inline

Record that view got assigned.

Definition at line 93 of file val.hpp.

## removed()

template<class View>

void Gecode::Int::Channel::ValInfo< View >::removed | ( | int | i | ) |

inline

Record that one value got removed.

Definition at line 99 of file val.hpp.

## done()

template<class View>

void Gecode::Int::Channel::ValInfo< View >::done | ( | void |  | ) |

inline

Update the cardinality and bounds information after pruning.

Definition at line 103 of file val.hpp.

## Member Data Documentation

## view

template<class View>

View Gecode::Int::Channel::ValInfo< View >::view

The view.

Definition at line 48 of file val.hpp.

## a

template<class View>

bool Gecode::Int::Channel::ValInfo< View >::a

Whether it has been propagated that view is assigned.

Definition at line 50 of file val.hpp.

The documentation for this class was generated from the following files:

- gecode/int/channel.hh
- gecode/int/channel/val.hpp